import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { Brush } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Type, Point } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { SeriesVisibleRangeMode } from "./SeriesVisibleRangeMode";
import { Rect } from "igniteui-react-core";
import { Pool$1 } from "igniteui-react-core";
import { Rectangle } from "igniteui-react-core";
import { CategoryTransitionInMode } from "./CategoryTransitionInMode";
import { CategoryFrame } from "./CategoryFrame";
import { CategorySeriesView } from "./CategorySeriesView";
import { List$1 } from "igniteui-react-core";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class WaterfallSeries extends HorizontalAnchoredCategorySeries {
    static $t: Type;
    protected bp(): SeriesView;
    kk(a: SeriesView): void;
    s6: WaterfallSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected get_de(): boolean;
    k8(a: Brush, b: Brush): void;
    th: Brush;
    nh(): Brush;
    s7: number;
    s8: number;
    bv(): SeriesVisibleRangeMode;
    protected get_cu(): boolean;
    protected kp(a: any, b: string, c: any, d: any): void;
    dy(a: Point, b: boolean): boolean;
    n2(a: Point): Rect;
    private tj;
    protected p4(): CategoryTransitionInMode;
    jl(a: boolean, b: SeriesView): void;
    protected get_rx(): number;
    e9(): number;
    rc(a: CategoryFrame, b: CategorySeriesView): void;
    ti: Brush;
    readonly useHighMarkerFidelity: boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class WaterfallSeriesView extends AnchoredCategorySeriesView {
    static $t: Type;
    as(): void;
    protected da: WaterfallSeries;
    constructor(a: WaterfallSeries);
    dk(): Rectangle;
    protected dc: List$1<Rectangle>;
    dd(a: Rectangle): void;
    df(a: Rectangle): void;
    de(a: Rectangle): void;
    dg(a: Rectangle, b: number, c: number): void;
    protected ac(a: number): any;
    private dj;
    protected ab(a: number): any;
    protected a6(a: RenderingContext, b: boolean): void;
    db: Pool$1<Rectangle>;
    al(a: any): void;
    dh(a: number): Rect;
    di(a: Rectangle): Rect;
}
